import { StraightLine, StyleAttributes } from '@wisemapping/web2d';
import SizeType from '../SizeType';
import Topic from '../Topic';
declare class LineTopicShape extends StraightLine {
    private _size;
    constructor(topic: Topic, attributes?: StyleAttributes);
    setSize(width: number, height: number): void;
    getSize(): SizeType | null;
    setPosition(): void;
    setFill(): void;
}
export default LineTopicShape;
